import roboidai as ai
from roboid import *

hamster = HamsterS()
cam = ai.Camera('usb0', flip='h')

dt = ai.HandPose()
dt.load_model(both_hands=True)

cam.count_down(3)
while True:
    image = cam.read()
    if dt.detect(image):
        left_xy = dt.get_xy('left', 'palm')
        right_xy = dt.get_xy('right', 'palm')
        dist = dt.distance(left_xy, right_xy) / 5 - 20
        angle = dt.degree(left_xy, right_xy)
        print(dist, angle)
        if dist is not None and angle is not None:
            hamster.wheels(dist - angle * 0.5, dist + angle * 0.5)
        else:
            hamster.stop()
        image = dt.draw_result(image)
    else:
        hamster.stop()
    
    cam.show(image)
    if cam.check_key() == 'esc': break
