import roboidai as ai
from roboid import *

hamster = HamsterS()

cam = ai.Camera('usb0', flip='h')
dt = ai.HandPose()

dt.load_model()

while True:
    image = cam.read()
    if dt.detect(image):
        wrist_xy = dt.get_xy('right', 0)
        index_tip_xy = dt.get_xy('right', 2, 0)
        index_2_xy = dt.get_xy('right', 2, 2)
        
        dist1 = dt.distance(wrist_xy, index_tip_xy)
        dist2 = dt.distance(wrist_xy, index_2_xy)
        if dist1 > dist2:
            hamster.wheels(40, 40)
        else:
           hamster.stop()
        
        image = dt.draw_result(image)
    
    cam.show(image)
    if cam.check_key() == 'esc': break

hamster.stop()
wait(100)